import { Moment } from 'moment';
export interface WeekDay {
    date: Moment;
    isPast: boolean;
    isToday: boolean;
    isFuture: boolean;
    isWeekend: boolean;
}
export interface EventColor {
    primary: string;
    secondary: string;
}
export interface CalendarEvent {
    start: Date;
    end?: Date;
    title: string;
    color: EventColor;
}
export interface WeekViewEvent {
    event: CalendarEvent;
    offset: number;
    span: number;
    extendsLeft: boolean;
    extendsRight: boolean;
}
export interface WeekViewEventRow {
    row: WeekViewEvent[];
}
export interface MonthViewDay extends WeekDay {
    inMonth: boolean;
    events: CalendarEvent[];
}
export interface MonthView {
    rowOffsets: number[];
    days: MonthViewDay[];
}
export declare const getDayOffset: Function;
export declare const getWeekViewHeader: Function;
export declare const getWeekView: Function;
export declare const getMonthView: Function;
